Fork me on GitHub"

# skbio.sequence.Protein.match_frequency

Protein.match_frequency(other, relative=False)

  Return count of positions that are the same between two sequences.

  State: Stable as of 0.4.0.

  Parameters

    - other (str, Sequence, or 1D np.ndarray (np.uint8 or '|S1')) – Sequence to compare to.

    - relative (bool, optional) – If `True`, return the relative frequency of matches instead of the count.

  Returns

    Number of positions that are the same between the sequences. This will be an `int` if relative is `False` and a `float` if relative is `True`.

  Return type

    int or float

  Raises

    - ValueError – If the sequences are not the same length.

    - TypeError – If other is a `Sequence` object with a different type than this sequence.

  See also

  `mismatch_frequency`, `matches`, `mismatches`, `distance`

  Examples

      >>> from skbio import Sequence
      >>> s = Sequence('GGUC')
      >>> t = Sequence('AGUC')
      >>> s.match_frequency(t)
      3
      >>> s.match_frequency(t, relative=True)
      0.75